package com.gic.finance.web.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.finance.dto.PayAccountDTO;
import com.gic.finance.service.PayAccountApiService;
/**
 * 提现管理
 * @ClassName: CashWithdrawalController 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/29 3:33 PM 
 */
@RestController
@RequestMapping("/cash-withdrawal")
public class CashWithdrawalController {
    private static Logger LOGGER = LoggerFactory.getLogger(CashWithdrawalController.class);

    @Autowired
    private PayAccountApiService payAccountApiService;

    /**
     * 新增打款账户
     * @Title: savePayAccount 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.commons.webapi.reponse.RestResponse 
      */
    @RequestMapping("/save-pay-account")
    public RestResponse savePayAccount(PayAccountDTO dto) {
        return ResultControllerUtils.commonResult(payAccountApiService.save(dto));
    }

    @RequestMapping("/edit-pay-account")
    public RestResponse editPayAccount(PayAccountDTO dto) {
        return ResultControllerUtils.commonResult(payAccountApiService.update(dto));
    }

    /**
     * 下移排序
     * @Title: downSort 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.commons.webapi.reponse.RestResponse 
      */
    @RequestMapping("/down-sort")
    public RestResponse downSort(Integer id) {
        return ResultControllerUtils.commonResult(payAccountApiService.downSort(id));
    }

    @RequestMapping("/up-sort")
    public RestResponse upSort(Integer id) {
        return ResultControllerUtils.commonResult(payAccountApiService.upSort(id));
    }

    @RequestMapping("/delete-pay-account")
    public RestResponse deletePayAccount(Integer id) {
        return ResultControllerUtils.commonResult(payAccountApiService.delete(id));
    }

    /**
     * 详情
     * @Title: getDetail 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.commons.webapi.reponse.RestResponse 
      */
    @RequestMapping("/get-pay-account-detail")
    public RestResponse getPayAccountDetail(Integer id) {
        return ResultControllerUtils.commonResult(payAccountApiService.getById(id));
    }

    /**
     * 查询列表数据
     * @Title: listPayAccount 
     * @Description:
      * @author guojuxing  
     * @return  com.gic.commons.webapi.reponse.RestResponse 
      */
    @RequestMapping("/list-pay-account")
    public RestResponse listPayAccount() {
        return ResultControllerUtils.commonResult(payAccountApiService.listPayAccount());
    }
}
